1. Es freut uns dass du in unser Minecraft Forum gefunden hast. Hier kannst du mit über 130.000 Minecraft Fans über Minecraft diskutieren, Fragen stellen und anderen helfen. In diesem Minecraft Forum kannst du auch nach Teammitgliedern, Administratoren, Moderatoren , Supporter oder Sponsoren suchen. Gerne kannst du im Offtopic Bereich unseres Minecraft Forums auch über nicht Minecraft spezifische Themen reden. Wir hoffen dir gefällt es in unserem Minecraft Forum!

Vserver updaten?

Dieses Thema im Forum "Technischer Support" wurde erstellt von MaxCode, 14. Oktober 2012.

Status des Themas:
Es sind keine weiteren Antworten möglich.

  1. MaxCode
    Offline

    MaxCode

    Registriert seit:
    29. Januar 2012
    Beiträge:
    111
    Minecraft:
    proskatermax
    Nach langem rumgoogeln habe ich nichts gefunden und wollte euch fragen wie update ich java6 auf java7 auf meinem vserver (den tekkit bruacht java7)?

    Oder kan man iwie Tekkit auch auf java6 laufen lassen?

    PS:
    hier der fehler code:

    at cpw.mods.fml.common.Loader.attemptFileLoad(Loader.java:562)
    at cpw.mods.fml.common.Loader.load(Loader.java:419)
    ... 5 more
    Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:314)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:334)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Class.java:264)
    at cpw.mods.fml.common.Loader.loadModClass(Loader.java:494)
    ... 7 more
     
  2. Werbung
    Online

    Werbung

  3. Benni1000
    Offline

    Benni1000 Ehem. Teammitglied

    Registriert seit:
    4. Mai 2012
    Beiträge:
    1.396
    Ist doch ganz einfach?
    Du lädst die java binärdateien von oracle herunter und benutzt dann update-alternatives um
    sie als standart java interpreter einzustellen. Und dazu gibt es wirklich genug tutorials,
    ich glaube du warst nur zu faul zum suchen. Hier das ist das erste! Suchergebnis wenn man
    nach "install java 7 on debian" sucht:
    http://alexander.holbreich.org/2011/11/java-7-on-debian/
     
  4. craftingyourself
    Offline

    craftingyourself

    Registriert seit:
    21. September 2012
    Beiträge:
    270
    Leider ist Java 7 nicht in der Linux Datenbank also manuell wen du wilst kann ich es dir eben machen add mich einfach mal in skype mache jetzt auch noch ein tut darüber

    Http://YouTube.de/nepstergaming

    Skype : der-wahre-nepster2
     
  5. silvinci
    Offline

    silvinci

    Registriert seit:
    21. September 2011
    Beiträge:
    21
    Minecraft:
    silvinci
    Wir müssten schon wissen, welches OS Du benutzt...
    In der Hoffnung, dass Du Ubuntu nutzt, findest Du im entsprechenden Wiki alles, was Du wissen musst.

    @craftingyourself: Das ist nicht ganz richtig... Es gibt keine "Linuxdatenbank". ;) Jede Distribution (also Ubuntu, Debian, OpenSUSE, etc.) hat ihren eigenen Paketmanager. Bei Ubuntu ist es apt-get. Ubuntu zumindest hat die OpenSource-Äquivalente zu Java im Petto, die genauso gut läuft, wie die proprietäre Oracle-Version.
     
    Zuletzt bearbeitet: 15. Oktober 2012
  6. Cabraca
    Online

    Cabraca

    das problem von dir hat nichts mit java zu tun.
    Bei Tekkit gibt es eine Überschneidung von Item-IDs.
    Netherores und RedPower nutzen beide ID 50. geh in de config von redpower und änder die id 50 ind 1050.
    Danach sollte alles problemlos starten.
     
  7. Xhadius
    Offline

    Xhadius Administrator

    Registriert seit:
    9. März 2012
    Beiträge:
    769
    Geschlecht:
    männlich
    Minecraft:
    Xhadius
    @Cabra:

    Doch, der Fehler ist ein Javafehler.
    Eine Fehlermeldung mit IDs würde ganz anders aussehen.
    Es würde die ID und die 2 Items die sich darum "streiten" genannt werden.

    @Threadersteller:

    Was für ein Linuxsystem benutzt du?
    Es unterscheidet sich bei jedem die Installation von Java 7.

    Mfg. Xhadius
     
  8. Cabraca
    Online

    Cabraca

  9. xplastikgangsterx
    Offline

    xplastikgangsterx

    Registriert seit:
    30. September 2012
    Beiträge:
    29
    Minecraft:
    plastikgangster
    Code (Text):
    1. echo "deb http://ppa.launchpad.net/webupd8team/java/ubuntu precise main" > /etc/apt/sources.list.d/webupd8team-java.list
    2. echo "deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu precise main" >> /etc/apt/sources.list.d/webupd8team-java.list
    3. apt-key adv --keyserver keyserver.ubuntu.com --recv-keys EEA14886
    4. apt-get update
    5. apt-get install oracle-java7-installer
    6. exit
    Damit haste Java immer aktuell
     
  10. Benni1000
    Offline

    Benni1000 Ehem. Teammitglied

    Registriert seit:
    4. Mai 2012
    Beiträge:
    1.396
    Ich würde die erste zeile deines scriptes in das umändern:
    Code (Text):
    1. [LEFT][COLOR=#FFFFFF]echo "deb http://ppa.launchpad.net/webupd8team/java/ubuntu precise main" >> /etc/apt/sources.list.d/webupd8team-java.list[/COLOR][/LEFT]
    Sonst überschreibst du die Datei, und wenn da was drin ist ist das nicht gut.
    Und dein Script funktioniert nur für Ubuntu da solltest du villeicht noch dazuschreiben.
     
  11. xplastikgangsterx
    Offline

    xplastikgangsterx

    Registriert seit:
    30. September 2012
    Beiträge:
    29
    Minecraft:
    plastikgangster
    Bei mir funktioniert es auch auf Debian
     
  12. Benni1000
    Offline

    Benni1000 Ehem. Teammitglied

    Registriert seit:
    4. Mai 2012
    Beiträge:
    1.396
    Ich würde nicht empfehlen Ubuntu pakete auf debian zu installieren.
    Manchmal funktioniert es, aber manchmal bekommst du echte probleme.
     
  13. MaxCode
    Offline

    MaxCode

    Registriert seit:
    29. Januar 2012
    Beiträge:
    111
    Minecraft:
    proskatermax
    Als als ich das Plugin Nether ores aus Tekkit gelöscht habe ging es =)
    Komisch
     
Status des Themas:
Es sind keine weiteren Antworten möglich.